Settings

Create a runtime provider application configuration

POST
/api/settings/provider-applications

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Request Body

  1. body
providerId*string
Value in"linkedin""bluesky""x""facebook""instagram"
name*string
Length1 <= length <= 200
clientId?|null
clientMetadataUrl?|null
handleResolver?|null
clientSecret?|null
state?string
Value in"active""disabled"
isDefault?boolean

Response Body

Response for status 201

application/json
  1. response
application*
Example Request
curl -X POST 'https://postbot.example/api/settings/provider-applications' \
  -H 'Content-Type: application/json' \
  -d '{
  "providerId": "linkedin",
  "name": "string"
}'
Example Response
{
  "application": {
    "id": "string",
    "providerId": "linkedin",
    "name": "string",
    "clientId": "string",
    "clientMetadataUrl": "string",
    "handleResolver": "string",
    "oauthMode": "loopback",
    "state": "active",
    "isDefault": true,
    "createdByUserId": "string",
    "hasClientSecret": true,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?